--Console command shortcuts

require("consolecommands")


function lookupfirstarg(fn)
	return function (prefab, ...)
		fn(c_prefab(prefab), unpack(arg))
	end
end

c_spawn = lookupfirstarg(c_spawn)
c_give = lookupfirstarg(c_give)
c_mat = lookupfirstarg(c_mat)
c_list = lookupfirstarg(c_list)
c_findnext = lookupfirstarg(c_findnext)
c_find = lookupfirstarg(c_find)
c_countprefabs = lookupfirstarg(c_countprefabs)
c_selectnear = lookupfirstarg(c_selectnear)



function c_prefab(name)
	if Prefabs[name] then
		return name
	end
	for prefab, v in pairs(Prefabs) do
		if c_name(prefab) == name then
			return prefab
		end
	end

	print("No prefab found: ", name)
	
	return nil
end

function c_name(prefab)
	return STRINGS.NAMES[string.upper(prefab)]
end
